Get job details (v1)
Returns an Upwork job's status, description, budget, skills, proposal activity, freelancer requirements and the client's location, spend, hires and rating, from its link or job ID. data is null when the job does not exist or is not public.
1 credit / requestBilled only on success
Authorization
ApiKeyAuth x-api-key<token>
In: header
Query Parameters
job_id_or_url*string
The job_id from a search result, or the job's upwork.com link, such as https://www.upwork.com/jobs/~022118388163193053698.
Length
length <= 1000curl -X GET "https://example.com/v1/upwork/job?job_id_or_url=%7E022118388163193053698" \ -H "x-api-key: YOUR_API_KEY"{ "data": { "job_id": "~022118388163193053698", "url": "string", "title": "string", "status": "active", "description": "string", "job_type": "hourly", "experience_level": "intermediate", "budget": { "fixed_price": 500, "hourly_min": 45, "hourly_max": 75, "currency": "USD" }, "workload": "Less than 30 hrs/week", "duration": "Less than 1 month", "duration_weeks": 0, "category": "Lead Generation & Telemarketing", "category_group": "Sales & Marketing", "occupation": "Lead Generation", "skills": [ { "name": "Python", "required": true } ], "positions_to_hire": 0, "posted_at": "string", "activity": { "applicants": 8, "interviewing": 0, "invites_sent": 0, "unanswered_invites": 0, "hired": 0, "last_client_activity": "string" }, "requirements": { "min_job_success_score": 0, "english_level": "ANY", "min_hours_billed": 0, "min_hours_per_week": 0, "rising_talent": true, "portfolio_required": true, "location_restricted": true, "countries": [ "string" ] }, "client": { "country": "ARE", "city": "Dubai", "timezone": "Asia/Shanghai (UTC+08:00)", "payment_verified": true, "total_spent": 18214.85, "jobs_with_hires": 24, "contracts": 39, "active_contracts": 10, "reviews": 15, "rating": 4.96, "hours_billed": 339.83, "member_since": "2024-05-26T00:00:00Z", "industry": "string", "company_size": 0 } }, "details": { "reason": "string", "message": "string" }}